Bug#921862: marked as done (desktop-base: 'dpkg --configure desktop-base' fails during 'aptitude upgrade')

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#921862: marked as done (desktop-base: 'dpkg --configure desktop-base' fails during 'aptitude upgrade')

Debian Bug Tracking System
Your message dated Thu, 9 May 2019 21:03:08 +0200
with message-id <[hidden email]>
and subject line Closing for now
has caused the Debian Bug report #921862,
regarding desktop-base: 'dpkg --configure desktop-base' fails during 'aptitude upgrade'
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [hidden email]
immediately.)


--
921862: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=921862
Debian Bug Tracking System
Contact [hidden email] with problems

Package: desktop-base
Version: 10.0.0
Severity: normal



-- System Information:
Debian Release: buster/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 4.19.0-2-amd64 (SMP w/4 CPU cores)
Kernel taint flags: TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=de_DE.UTF8, LC_CTYPE=de_DE.UTF8 (charmap=UTF-8), LANGUAGE=de_DE.UTF8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages desktop-base depends on:
ii  librsvg2-common  2.44.10-1

desktop-base recommends no packages.

Versions of packages desktop-base suggests:
pn  gnome | kde-standard | xfce4 | wmaker  <none>

-- no debconf information

# LC_ALL=C aptitude -o Acquire::http::AllowRedirect=false upgrade -y
The following partially installed packages will be configured:
  desktop-base
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 0 B will be used.
Setting up desktop-base (10.0.0) ...
update-alternatives: error: cannot stat file '/etc/alternatives/desktop-background': Invalid argument
dpkg: error processing package desktop-base (--configure):
 installed desktop-base package post-installation script subprocess returned error exit status 2
Errors were encountered while processing:
 desktop-base
needrestart is being skipped since dpkg has failed
E: Sub-process /usr/bin/dpkg returned an error code (1)

$ sudo apt show libc6|grep ^Version

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

Version: 2.28-6

$ sudo ls -l /lib/*/libc.so.6
lrwxrwxrwx 1 root root 12 Feb  5 19:55 /lib/x86_64-linux-gnu/libc.so.6 -> libc-2.28.so

$ uname -a
Linux debian 4.19.0-2-amd64 #1 SMP Debian 4.19.16-1 (2019-01-17) x86_64 GNU/Linux

$ lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description: Debian GNU/Linux buster/sid
Release: testing
Codename: buster

$ cat /proc/version
Linux version 4.19.0-2-amd64 ([hidden email]) (gcc version 8.2.0 (Debian 8.2.0-14)) #1 SMP Debian 4.19.16-1 (2019-01-17)

Tags: + unreproducible

Closing for now as unreproducible as it looks to be related to some specific state of the system where the bug occurred.
Feel free to reopen if you happen to reproduce this bug.


Thanks,
--
Aurélien